/*
 * Copyright (c) 2007, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wso2.registry;

import java.util.List;

public class CollectionImpl extends ResourceImpl implements Collection {
    public CollectionImpl() {
    }

    public CollectionImpl(String [] paths) {
        content = paths;
    }

    public void setContent(Object content) {
        if (content instanceof String[] || content instanceof Resource[]) {
            super.setContent(content);
            return;
        }
        throw new IllegalArgumentException("Collections can only contain paths (String[])!");
    }

    public String[] getChildren() {
        return (String[])content;
    }

    public String[] getChildren(int start, int pageLen) {
        // TODO - implement
        return new String[0];
    }

    public List<Resource> getChildResources() {
        return null;
    }
}
